CGAL 6.1.1 - 2D Voronoi Diagram Adaptor

Loading...
Searching...
No Matches
List of all members | Public Member Functions
GraphicsSceneOptionsVoronoiDiagram2 Class Reference
Reference Manual » Concepts

`#include <Concepts/GraphicsSceneOptionsVoronoiDiagram2.h>`

## Definition

The concept `GraphicsSceneOptionsVoronoiDiagram2` defines data and methods used to tune the way that the cells of a `Voronoi_diagram_2` are considered for drawing or to be added into a graphics scene.

Refines
  `GraphicsSceneOptions`

Has models
  `CGAL::Graphics_scene_options_voronoi_diagram_2<DS, VertexDescriptor, EdgeDescriptor, FaceDescriptor>`

## Public Member Functions
const CGAL::IO::Color & | dual_vertex_color () const
| returns the color of the dual vertices.
void | dual_vertex_color (const CGAL::IO::Color &c)
| sets the color of dual vertices to `c`.
const CGAL::IO::Color & | ray_color () const
| returns the color of rays.
void | ray_color (const CGAL::IO::Color &c)
| sets the color of rays to `c`.
const CGAL::IO::Color & | bisector_color () const
| returns the color of the bisectors.
void | bisector_color (const CGAL::IO::Color &c)
| sets the color of bisectors to `c`.
bool | draw_voronoi_vertices () const
| returns `true` if the voronoi vertices must be drawn, `false` otherwise.
void | draw_voronoi_vertices (bool b)
| sets the draw of voronoi vertices to `b`.
void | toggle_draw_voronoi_vertices ()
| toggles the draw voronoi vertices value.
bool | draw_dual_vertices () const
| returns `true` if the dual vertices must be drawn, `false` otherwise.
void | draw_dual_vertices ()
| sets the draw of dual vertices to `b`.
void | toggle_draw_dual_vertices ()
| toggles the draw dual vertices value.

## Member Function Documentation

## ◆ draw_dual_vertices()

bool GraphicsSceneOptionsVoronoiDiagram2::draw_dual_vertices | ( |  | ) | const

returns `true` if the dual vertices must be drawn, `false` otherwise.

Returns `false` by default.

## ◆ draw_voronoi_vertices()

bool GraphicsSceneOptionsVoronoiDiagram2::draw_voronoi_vertices | ( |  | ) | const

returns `true` if the voronoi vertices must be drawn, `false` otherwise.

Returns `false` by default.